org.eclipse.gef4.dot.internal.dot.export

## Class DotDrawer

- java.lang.Object
- - org.eclipse.gef4.dot.internal.dot.export.DotDrawer

    public final class DotDrawer
    extends java.lang.Object

Class for drawing dot graphs by calling the dot executable.

### Method Summary

Methods
`static java.io.File` `renderImage(java.io.File dotExecutableDir, java.io.File dotInputFile, java.lang.String format, java.lang.String imageResultFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### renderImage

    public static java.io.File renderImage(java.io.File dotExecutableDir,
                           java.io.File dotInputFile,
                           java.lang.String format,
                           java.lang.String imageResultFile)